Bug 1202855 - (CVE-2015-1805) CVE-2015-1805 kernel: pipe: iovec overrun leading to memory corruption
CVE-2015-1805 kernel: pipe: iovec overrun leading to memory corruption
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150602,repo...
: Security
Depends On: 1185166 1198843 1202860 1202861 1202862 1202863 1202864 1202865 1203782 1203783 1203784 1203787 1203788 1203789
Blocks: 1202879
  Show dependency treegraph
 
Reported: 2015-03-17 11:01 EDT by Petr Matousek
Modified: 2015-07-13 08:50 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the Linux kernel's implementation of vectored pipe read and write functionality did not take into account the I/O vectors that were already processed when retrying after a failed atomic access operation, potentially resulting in memory corruption due to an I/O vector array overrun. A local, unprivileged user could use this flaw to crash the system or, potentially, escalate their privileges on the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-23 08:19:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1382833 None None None Never

  None (edit)
Description Petr Matousek 2015-03-17 11:01:29 EDT
A flaw was found in the way pipe_iov_copy_from_user() and
pipe_iov_copy_to_user() functions handled iovecs remaining len accounting on
failed atomic access.

An unprivileged local user could this flaw to crash the system or, potentially,
escalate their privileges on the system.

Upstream fixes:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f0d1bec9d58d4c038d0ac958c9af82be6eb18045
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=637b58c2887e5e57850865839cc75f59184b23d1

Acknowledgements:

The security impact of this issue was discovered by Red Hat.
Comment 5 Petr Matousek 2015-03-19 12:22:47 EDT
Statement:

This issue does affect the Linux kernel packages as shipped with Red Hat
Enterprise Linux 5, 6, and 7, and Red Hat Enterprise MRG 2. Future Linux
kernel updates for the respective releases will address this issue.
Comment 7 errata-xmlrpc 2015-06-02 11:54:32 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1042 https://rhn.redhat.com/errata/RHSA-2015-1042.html
Comment 8 errata-xmlrpc 2015-06-09 10:24:54 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2015:1082 https://rhn.redhat.com/errata/RHSA-2015-1082.html
Comment 9 errata-xmlrpc 2015-06-09 10:49:33 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1081 https://rhn.redhat.com/errata/RHSA-2015-1081.html
Comment 10 errata-xmlrpc 2015-06-16 10:59:40 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.9 AUS - Server Only

Via RHSA-2015:1120 https://rhn.redhat.com/errata/RHSA-2015-1120.html
Comment 11 errata-xmlrpc 2015-06-23 04:25:54 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1139 https://rhn.redhat.com/errata/RHSA-2015-1139.html
Comment 12 errata-xmlrpc 2015-06-23 04:29:13 EDT
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2015:1138 https://rhn.redhat.com/errata/RHSA-2015-1138.html
Comment 13 errata-xmlrpc 2015-06-23 04:48:21 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1137 https://rhn.redhat.com/errata/RHSA-2015-1137.html
Comment 15 errata-xmlrpc 2015-06-25 09:46:34 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.6 Long Life

Via RHSA-2015:1190 https://rhn.redhat.com/errata/RHSA-2015-1190.html
Comment 16 errata-xmlrpc 2015-06-30 09:58:58 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:1199 https://rhn.redhat.com/errata/RHSA-2015-1199.html
Comment 17 errata-xmlrpc 2015-07-07 09:00:16 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 AUS - Server Only

Via RHSA-2015:1211 https://rhn.redhat.com/errata/RHSA-2015-1211.html

Note You need to log in before you can comment on or make changes to this bug.